%define is_f19 %(test "0%{?fedora}" -eq "019" && echo 1 || echo 0)

Summary:        A plugin to make oVirt Node installs compatible with oVirt Engine and vdsm
Name:           ovirt-node-plugin-vdsm
Version:        0.2.0
Release:        6%{?BUILD_NUMBER}%{?extra_release}%{?dist}
Source0:        %{name}-0.2.0_master.tar.gz
License:        GPLv2+
Group:          Applications/System

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:            http://www.ovirt.org/
Requires:       python
Requires:       vdsm-reg >= 4.10.3
Requires:       ovirt-host-deploy-offline >= 1.3.0
%if ! 0%{?centos}
Requires:       vdsm-hook-vhostmd
%endif
Requires(post): augeas

BuildArch:      noarch
BuildRequires:  python2-devel

Patch0: 0000-downstream-only-replace-rhel-macro.patch
Patch1: 0001-downstream-only-remove-requires-vdsm-gluster.patch
Patch2: 0002-downstreamonly-replaces-ovirt-engine-to-rhevm.patch
Patch3: 0003-Include-hosted-engine-plugin-into-iso-form-3.5-on.patch
Patch4: 0004-downstreamonly-removes-requires-ovirt-node.patch

%define app_root %{_datadir}/%{name}
%define recipe_root %{_datadir}/ovirt-node-recipe

%description
Provides UI and associated scripts for integrating oVirt Node and oVirt Engine

%package recipe
Summary:        Kickstarts for building oVirt Node isos including %{name}
Group:          Applications/System
Requires:       ovirt-node-recipe >= 2.6.0

%description recipe
Provides kickstart files for generating an oVirt Node ISO image containing
%{name}.

%prep
%setup -q -n %{name}-0.2.0_master
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%configure

%install
%{__rm} -rf %{buildroot}
make install DESTDIR=%{buildroot}

%post
# reserve vdsm port 54321
augtool << \EOF_sysctl
set /files/etc/sysctl.conf/net.ipv4.ip_local_reserved_ports 54321
save
EOF_sysctl

#SELinux Booleans
/usr/sbin/setsebool -P virt_use_nfs=1 \
                       virt_use_sanlock=1 \
                       sanlock_use_nfs=1

# ensure Network Manager is disabled
%if %{is_f19}
/usr/bin/systemctl mask NetworkManager.service
%endif

%preun

%files recipe
%{recipe_root}

%files
%{python_sitelib}/ovirt/node/setup/vdsm
%{_libexecdir}/ovirt-node/hooks/pre-upgrade/01-vdsm
%{_libexecdir}/ovirt-node/hooks/on-boot/01-vdsm-configure
%{_sysconfdir}/ovirt-plugins.d
%{_sysconfdir}/default/version.ovirt-node-plugin-vdsm

%changelog
* Tue Sep 09 2014 Douglas Schilling Landgraf <dougsland@redhat.com> 0.2.0-6
- Remove ovirt-node requires

* Sun Sep 07 2014 Douglas Schilling Landgraf <dougsland@redhat.com> 0.2.0-5
- update spec for ovirt-node requires

* Sun Sep 07 2014 Douglas Schilling Landgraf <dougsland@redhat.com> 0.2.0-4
- update requires of ovirt-node to 3.0.1 as it get patched to 3.0.4

* Sat Aug 02 2014 Douglas Schilling Landgraf <dougsland@redhat.com> 0.2.0-3
- added changelog

* Sat Aug 02 2014 Douglas Schilling Landgraf <dougsland@redhat.com> 0.2.0-2
- 0003-Include-hosted-engine-plugin-into-iso-form-3.5-on.patch

* Thu Jul 24 2014 Douglas Schilling Landgraf <dougsland@redhat.com> 0.2.0-1
- Replaces oVirt Engine to RHEV-M

* Thu Jun 12 2014 Douglas Schilling Landgraf <dougsland@redhat.com> 2.0.0
- Increase the version/release

* Fri May 17 2013 Mike Burns <mburns@redhat.com> 0.0.2
- Rename to ovirt-node-plugin-vdsm
- rebase onto ovirt-node 3.0.0 codebase
- add note about changing sshd when setting passwd
- fix password changing
- fix some requirements
- add minimization

* Fri Feb 15 2013 Mike Burns <mburns@redhat.com> 0.0.1
- initial commit
- engine_page from current ovirt-node
